package net.jieyuu.mapper;

import net.jieyuu.model.CouponDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.data.repository.query.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jieyuu
 * @since 2024-07-15
 */
public interface CouponMapper extends BaseMapper<CouponDO> {

    /**
     * 扣减库存
     *
     * @param couponId
     * @return
     */
    int reduceStock(@Param("couponId") long couponId);
}
