package net.jieyuu.request;


import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class NewUserCouponRequest {

    @ApiModelProperty(value = "新用户注册id", example = "19")
    @JsonProperty("user_id")
    private long userId;

    @ApiModelProperty(value = "名称", example = "jieyuu")
    @JsonProperty("name")
    private String name;

}
